Bug 1006962 - [amqp1.0] translation of x-declare into properties doesn't convert the 'type' property
[amqp1.0] translation of x-declare into properties doesn't convert the 'type'...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
medium Severity medium
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-09-11 11:08 EDT by Petr Matousek
Modified: 2015-01-21 07:56 EST (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5130 None None None Never

  None (edit)
Description Petr Matousek 2013-09-11 11:08:42 EDT
Description of problem:

As a result of the missing conversion, it's not possible to declare exchanges in the 0-10 style, ie:
"myxml;{create:always,node:{type:topic,x-declare:{type:xml}}}"

The result of the command above is that the created exchange is always of type 'topic'.

The conversion shall be implemented in order to guarantee the backwards compatibility.

Note: Exchanges may be declared using following address string when using amqp1.0:
myxml;{create:always:node:{type:topic,properties:{exchange-type:xml}}}

Version-Release number of selected component (if applicable):
qpid-cpp-*-0.22-13.el6

How reproducible:
100%

Steps to Reproduce:
1. spout "myxml;{create:always,node:{type:topic,x-declare:{type:xml}}}"
2. qpid-config exchanges
3. created 'myxml' echange is of type 'topic' (shall be 'xml')

Actual results:
translation of x-declare into properties doesn't convert the 'type' property
unable to define exchanges by using the 0-10 compatible address string 

Expected results:
translation of x-declare into properties converts also the 'type' property
same address string may be used for exchanges declaration over amqp0-10 and amqp1.0

Additional info:
Comment 1 Gordon Sim 2013-09-11 12:07:22 EDT
Fixed upstream by https://svn.apache.org/r1521919
Comment 2 Petr Matousek 2013-11-25 05:53:36 EST
This issue has been fixed. Verified on rhel6.5 (i386, x86_64).

packages used for testing:
qpid-cpp-*-0.22-29.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.